.header {
  display: flex;
  justify-content: center;
  border-bottom: 1px solid var(--border-color);
}

.header .navbar {
  max-width: 1920px;
  width: 100%;
  height: 80px;
  padding: 10px 60px;
  position: relative;
}

.header .navbar_type_pc {
  display: flex;
}

.navbar_type_pc .navbar-nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.nav:nth-child(2) {
  gap: 64px;
}

.nav:nth-child(3) {
  gap: 44px;
}

.nav:last-child .nav-item button {
  padding: 0;
  background-color: transparent;
  border: none;
}

.nav {
  display: flex;
  flex-direction: row;
}

.nav-link {
  color: inherit;
  font-weight: 400;
  font-size: 18px;
  text-transform: uppercase;
}

.nav-item {
  display: flex;
  align-items: center;
}

.nav-item .input-group {
  padding: 8px 20px;
  align-items: center;
  border: 1px solid var(--border-color);
  gap: 8px;
}

.nav-item .input-group .btn {
  display: flex;
  align-items: center;
}

.nav-item .input-group .form-control {
  padding: 0;
  border: none;
}

.nav-item .input-group .form-control::placeholder {
  color: var(--secondary-color);
}

.nav-item .input-group:focus-within {
  border-color: var(--secondary-color);
}

.logo {
  width: 0;
  height: 80px;
  position: absolute;
  right: 50%;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo img {
  height: 60px;
}

.navbar-nav .nav-item .dropdown-menu {
  position: absolute;
  top: 52px;
  right: -4px;
  border-radius: 0;
  border: 1px solid var(--border-color-light);
}

.navbar-nav .nav-link {
  color: var(--secondary-color);
}

.navbar-nav .nav-link:hover {
  color: var(--hover-color);
}

.lang-switcher {
  display: flex;
  align-items: center;
}

.lang-switcher_type_footer {
  display: none;
}

.lang-switcher > button {
  background-color: transparent;
  border: none;
  font-weight: 500;
  font-size: 16px;
  color: var(--secondary-color);
}

.lang-switcher div {
  width: 1px;
  height: 24px;
  background-color: var(--secondary-color);
}

.header .navbar_type_mob {
  padding: 0 16px;
  display: none;
  flex-direction: row;
  justify-content: space-between;
}

.header-menu {
  display: flex;
  gap: 24px;
}

.header-menu__button {
  width: 24px;
  height: 24px;
  padding: 0;
  background: transparent;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-menu__collapse {
  height: calc(100dvh - 81px);
  width: 100%;
  padding: 16px 24px;
  position: absolute;
  top: 81px;
  left: 0;
  z-index: 5;
  background-color: var(--primary-color);
}

.header-menu__collapse a {
  padding: 8px 24px;
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 16px;
  text-transform: none;
}

.header-menu__collapse a div {
  display: flex;
  align-items: center;
}

.header-menu__collapse .input-group {
  margin-top: 12px;
  max-width: 100%;
}

.show + .header-menu__button img {
  filter: invert(69%) sepia(13%) saturate(0%) hue-rotate(296deg) brightness(91%)
    contrast(90%);
}

.header-menu__cart {
  position: relative;
}

.header-menu__cart-counter {
  content: "";
  width: 16px;
  height: 16px;
  position: absolute;
  bottom: -4px;
  right: -4px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--secondary-color);
  font-size: 10px;
  font-weight: 600;
  color: var(--primary-color);
}

.dropdown-item:hover .header-menu__cart-counter {
  background-color: var(--primary-color);
  color: var(--secondary-color);
}

main {
  position: relative;
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
}

.main__container {
  max-width: 1440px;
  width: 100%;
  height: 100%;
  padding: 60px;
  box-sizing: border-box;
}

.main__container_for_search {
  max-width: none;
  padding: 0 !important;
  display: flex;
  overflow: hidden;
}

footer {
  padding: 28px 20px 20px;
  display: flex;
  justify-content: center;
  border-top: 1px solid var(--border-color);
}

.footer__container {
  max-width: 1920px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.footer__contacts,
.footer__contacts > div,
.footer__socials > div,
.footer__copy,
.footer__copy > div,
.footer__links,
.footer__links > div {
  display: flex;
  align-items: center;
  gap: 16px;
}

.footer__socials > div > a > img {
  width: 24px;
  height: 24px;
}

.footer__socials > div > a:last-child > img {
  width: 20.5px;
  height: 20.5px;
}

.footer__copy {
  margin: 8px 0;
  padding: 8px 0;
  gap: 124px;
  border-top: 1px solid var(--border-color-light);
  border-bottom: 1px solid var(--border-color-light);
}

.footer__copy > div {
  gap: 8px;
}

.footer__links_xs {
  display: none;
}

.footer a,
footer p {
  font-size: 16px;
}

.footer__links a {
  font-size: 14px;
  text-decoration: underline;
}

@media (max-width: 1200px) {
  .header .navbar {
    padding: 10px 60px;
  }

  .nav:nth-child(2) {
    gap: 44px;
  }

  .nav:nth-child(3) {
    gap: 32px;
  }

  .navbar_type_pc .input-group {
    max-width: 200px;
  }
}

@media (max-width: 992px) {
  .header .navbar {
    padding: 10px 40px;
  }

  .nav:nth-child(2) {
    gap: 24px;
  }

  .nav:nth-child(3) {
    gap: 20px;
  }

  .navbar_type_pc .input-group {
    max-width: 140px;
  }

  .main__container {
    padding: 48px;
  }

  .footer {
    flex: 0 0 auto;
  }

  .footer__container .footer__links {
    flex-direction: column;
    gap: 8px;
  }
}

@media (max-width: 768px) {
  .header .navbar_type_pc {
    display: none;
  }

  .header .navbar_type_mob {
    padding: 0 40px;
    display: flex;
  }

  .logo {
    width: fit-content;
    position: static;
  }

  .lang-switcher {
    display: none;
  }

  .lang-switcher_type_footer {
    display: flex;
  }

  .main__container {
    padding: 40px;
  }

  .footer {
    padding: 12px 40px;
  }

  .footer__contacts > div {
    flex-direction: column;
    gap: 8px;
  }

  .footer__links > div {
    align-items: flex-start;
    gap: 12px;
  }
}

@media (max-width: 576px) {
  .header .navbar_type_mob {
    padding: 0 32px;
  }

  .main__container {
    padding: 48px 32px;
  }

  .footer {
    padding: 12px 16px;
  }

  .footer__copy {
    gap: 40px;
  }

  .footer a,
  footer p {
    font-size: 14px;
  }

  .footer__links {
    display: none;
  }

  .footer__links_xs {
    display: flex;
  }
}

@media (max-width: 400px) {
  .header .navbar_type_mob {
    padding: 0 16px;
  }

  .main__container {
    padding: 32px 16px;
  }

  .footer {
    padding: 8px;
  }

  .footer__copy {
    gap: 24px;
  }

  .footer__links a {
    text-align: center;
  }
}

@media (max-width: 360px) {
  .footer__copy {
    flex-direction: column;
    gap: 4px;
  }
}
